<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INCLUDES."theme_functions_include.php";
define("THEME_BULLET", "");

function render_page($license = false) {
	global $settings, $main_style, $locale, $mysql_queries_time;

?>

<!-- Theme by NetriX @ PHPFusionMods.com -->
<!-- THEME: SimpleFusion -->

<table width="922px" align="center" cellspacing="0" cellpadding="0">
	<tr>
		<td>
			<!--HEADER-->
			<table width="922px" cellpadding="0" cellspacing="0" id="header">
				<tr>
					<td>
						<?php echo showbanners(); ?>
					</td>
					<td>
					<div id="ad-top">
					<div id="ad">
					<script type="text/javascript"><!--
google_ad_client = "ca-pub-7277300469198625";
/* 468x60, created 6/25/09 */
google_ad_slot = "7885283957";
google_ad_width = 468;
google_ad_height = 60;
//-->
</script>
<script type="text/javascript"
src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
</div>
					</div>
					</td>
				</tr>
			</table>
			<!--NAVIGATION-->
			<table width="922px" cellpadding="0" cellspacing="0">
				<tr>
					<td class="tbl-nav">
					<?php echo showsublinks(" ".THEME_BULLET." ", "white"); ?>
					<div class="search">
					<form id="searchform" name="searchform" method="get" action="<?php echo BASEDIR; ?>search.php">
					<input type="text" size="20" name="stext" class="stext" />
					<input type="submit" name="search" value="Search" class="sbutton" /> 
					</form>
					</div>
					</td>
				</tr>
			</table>
<!--BODY-->
<table width="922px" cellpadding="0" cellspacing="0">
<tr>
<td class="body-back">
<!--PANELS-->
<table width="920px" cellpadding="0" cellspacing="0">
<tr>
<?php if (LEFT) { ?>
<!--LEFT-->
<td valign="top" width="174px" class="s-l-td">
<?php echo LEFT; ?>
</td>
<?php } ?>
<!--CENTER-->
<td valign="top" class="c-td">
<?php echo U_CENTER.CONTENT.L_CENTER; ?>
</td>
<?php if (RIGHT)  { ?>
<!--RIGHT-->
<td valign="top" width="174px" class="s-r-td">
<?php echo RIGHT; ?>
</td>
<?php } ?>
</tr>
</table>
<!--PANELS END-->
</td>
</tr>
</table>
<!--FOOTER-->
<table width="922px" cellpadding="0" cellspacing="0">
	<tr>
		<td id="footer">
		<div style="text-align:center">
<?php echo stripslashes($settings['footer']); ?><br /><br />
<?php if (!$license) { echo showcopyright()."<br /><br />"; } ?>
<a href='http://www.phpfusionmods.com' title='PHPFusionMods.com'>Theme: SimpleFusion by NetriX</a>
</div>
		</td>
	</tr>
</table>
			<!--FOOTER END -->
		</td>
	</tr>
</table>
<?php	

}

function render_news($subject, $news, $info) {
?>
<table width="100%" cellpadding="0" cellspacing="0" align="center" class="panel">
<tr>
<td class="c-left"></td><td class="c-center"><?php echo $subject; ?><div class="newsright"><?php echo newsopts($info,"&middot; "); ?></div></td><td class="c-right"></td>
</tr>
<tr>
<td class="c-body" colspan="3">
<div style="float:left; margin:3px;"><?php echo $info['cat_image']; ?></div>
<?php echo $news; ?>
</td>
</tr>
<tr>
<td class="c-foot-l"></td><td class="c-foot-c"></td><td class="c-foot-r"></td>
</tr>
</table>
<?php
}

function render_article($subject, $article, $info) {

?>
<table width="100%" cellpadding="0" cellspacing="0" align="center" class="panel">
<tr>
<td class="c-left"></td><td class="c-center"><?php echo $subject; ?></td><td class="c-right"></td>
</tr>
<tr>
<td class="c-body" colspan="3">
<div style="float:left; margin:3px;"><?php echo $info['cat_image']; ?></div>
<?php echo ($info['article_breaks'] == "y" ? nl2br($article) : $article); ?><br /><br />
<div style="text-align:center;">
<?php echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']); ?>
</div>
</td>
</tr>
<tr>
<td class="c-foot-l"></td><td class="c-foot-c"></td><td class="c-foot-r"></td>
</tr>
</table>
<?php

}

function render_comments($c_data, $c_info){

	global $locale;
	opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== FALSE) { 
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
		}
			foreach($c_data as $data) {
			echo "<div class='tbl2'>\n";
			if ($data['edit_dell'] !== FALSE) { 
				echo "<div style='float:right' class='comment_actions'>".$data['edit_dell']."\n</div>\n";
			}
			echo "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a> |\n";
			echo "<span class='comment-name'>".$data['comment_name']."</span>\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
			echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	closetable(); 
	
}

function opentable($title) {

?>
<!--SIDE PANEL START-->
<table width="100%" cellpadding="0" cellspacing="0" align="center" class="panel">
<tr>
<td class="c-left"></td><td class="c-center"><?php echo $title; ?></td><td class="c-right"></td>
</tr>
<tr>
<td class="c-body" colspan="3">
			<?php

}

function closetable() {

?>
</td>
</tr>
<tr>
<td class="c-foot-l"></td><td class="c-foot-c"></td><td class="c-foot-r"></td>
</tr>
</table>
<!--SIDE PANEL END-->
			<?php

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
?>
<!--SIDE PANEL START-->
<table width="174px" cellpadding="0" cellspacing="0" class="panel">
<tr>
<td class="s-top"><?php echo $title; ?></td>
</tr>
<tr>
<td class="s-body">
<?php

}

function closeside() {
	
	global $panel_collapse;

?>
</td>
</tr>
<tr>
<td class="s-foot"></td>
</tr>
</table>
<!--SIDE PANEL END-->
			<?php

}
?>
